#ContentDiv:has(.board-container) {
    padding-inline: 0rem;
}

#ContentDiv:has(.board-container) .presentation-object {
    background-color: transparent!important;
}

#ContentDiv:has(.board-container) .presentation-control-container {
    margin-block-end: 0rem;
}

#ContentDiv:has(.board-container) .po_captionbar {
    margin-left: 1.5rem;
}

.board-container {
    /* background-color: #F7F9FB; */
    border: 1px solid var(--alfa-control-border-color-primary-default);
    background: var(--alfa-main-content-background-color);
    color: var(--alfa-masthead-font-color);
}

.board-container {
    display: flex;
    margin-left: 1.5rem;
    margin-right: 1.5rem;
    height: 100%;
    width: fit-content;
}

.board-column {
    flex: none;
    width: 335px;
    height: 100%;
    display: flex;
    flex-direction: column;
}

.board-column:not(:last-child) {
    border-right: 1px solid var(--alfa-control-border-color-primary-default);
}

.board-column-header {
    height: 81px;
    padding-top: 25px;
    padding-bottom: 27px;
    padding-left: 29px;
    padding-right: 29px;
    display: flex;
    align-items: center;
    border-bottom: 1px solid var(--alfa-control-border-color-primary-default);
    gap: 16px;
}

.board-column-label {
    font-size: 14px;
    line-height: 22px;
    font-weight: 500;
    height: 30px;
    display: flex;
    align-items: center;
    padding-left: 8px;
    padding-right: 8px;
    min-width: 0;
    gap: var(--dlt-spacing-half-x, 0.25rem)
}

.board-column-label span {
    width: 100%;
    display: block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.board-column-icon {
    flex: none;
    height: 18px;
    width: 18px;
}

.board-column-label.enum-label {
    border: 2px solid;
    border-radius: 100vh;
}

.board-column-label.reference-label {
    border: 2px solid var(--alfa-color-palette-berlin-200, #BFC1C3);
    color: var(--alfa-text-color-primary, #292F36);
    padding: 0 5px;
    border-radius: 6px;
}

.board-column-total-items {
    font-size: 14px;
    line-height: 22px;
}

.board-item {
    border-radius: 2px;
    background: var(--alfa-content-item-background-color, #FFFFFF);
    box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.08);
    position: relative;
}

.board-item .move-trigger {
    cursor: move;
    position: absolute;
    left: 4px;
    top: 12px;
    z-index: 10;
    width: 16px;
    height: 16px;
    display: block;
    transition: opacity 0.5s;
    opacity: 0;
}

.board-item:hover .move-trigger {
    opacity: 1;
}

.board-item:hover .board-item-header {
    transform: translateX(16px);
}

.board-item-header-attribute {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    display: inline-block;
}

.board-item-header-attribute.bold {
    font-weight: 700;
}

.board-item-header-attribute.name {
   flex-grow: 1;
}

.board-item-content {
    transition: height 0.3s ease-in-out;
    overflow: hidden;
}

.board-item.has-border {
    border-top: 6px solid;
}

.board-column-items {
    min-height: 0;
}

.board-column-items-wrapper {
    padding-top: 5px;
    padding-bottom: 5px;
    padding-left: 29px;
    padding-right: 29px;
    padding-top: 21px;
    padding-bottom: 21px;
    display: flex;
    flex-direction: column;
    gap: 16px;
    min-height: 100%;
}

.board-item-properties {
    display: grid;
    grid-template-columns: 100px auto;
    gap: 8px;
    font-size: 12px;
    padding: 8px;
}

.board-item-properties .property-value {
    display: flex;
    align-items: center;
    color: var(--alfa-masthead-font-color);
    max-width: 152px;
}

.board-item-properties .property-value .svg-icon {
    width: 14px;
    height: 14px;
    margin-right: 4px;
    flex: none;
}

.board-item-properties .property-value.enum-label {
    border: 1.4px solid;
    border-radius: 100vh;
    padding: 0 6px;
    max-width: fit-content;
    margin-top: -2px;
}

.board-item-properties .property-value.reference-label {
    border: 1.4px solid;
    border-radius: 6px;
    padding: 0 6px;
    max-width: fit-content;
    margin-top: -1px;
    cursor: pointer;
    user-select: none;
}

.board-item-properties .property-value.reference-label:hover {
    border-color: var(--alfa-primary-color)!important;
}

.board-item-properties .property-value.no-value {
    visibility: hidden;
}

.board-item-properties .property-value span {
    max-width: 114px;
}

.board-item-properties .property-title {
    position: relative;
    color: var(--alfa-masthead-font-color);
    display: flex;
    max-width: 100px;
    width: min-content;
    opacity: 0.6;
}

.board-item-properties .property-title:after {
    content: ":";
    position: absolute;
    right: -3px;
    top: 0;
}

.board-item-properties span {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    display: block;
}

.board-item-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-left: 8px;
    padding-right: 8px;
    margin-left: 1px;
    margin-right: 1px;
    min-height: 40px;
    gap: 16px;
    color: var(--alfa-masthead-font-color);
    transition: transform 0.3s ease-in-out;
    font-size: 12px;
    width: 258px;
    cursor: pointer;
    user-select: none;
}

.board-item-divider {
    height: 1px;    
    background-color: var(--alfa-control-border-color-primary-default);
}

.board-item-header .svg-icon {
    width: 24px;
    height: 24px;
    margin-inline-end: 0;
}

.board-item-images {
    display: flex;
    flex-wrap: wrap;
    gap: 16px;
    padding: 8px;
    justify-content: space-evenly;
}

.board-item-images > * {
    width: 48px;
    height: 48px;
    flex: none;
}